#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libgsf-1.14.57

- Next

  libgusb-0.4.9

- Up
- Home

# libgudev-238

## Introduction to libgudev

The libgudev package contains GObject bindings for libudev.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libgudev/238/libgudev-238.tar.xz

- Download MD5 sum: 46da30a1c69101c3a13fa660d9ab7b73

- Download size: 32 KB

- Estimated disk space required: 2.0 MB

- Estimated build time: less than 0.1 SBU

#### Required

GLib-2.88.0 (GObject Introspection required for GNOME)

#### Optional

GTK-Doc-1.36.1 and umockdev-0.19.7 (for testing)

## Installation of libgudev

Install libgudev by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test. One test, `libgudev:test-gudevdevice`, is known to fail with systemd-259.4 and later.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=true`: Use this option if GTK-Doc is installed and you wish to build and install the API documentation.

## Contents

Installed Program: None
Installed Libraries: libgudev-1.0.so
Installed Directories: /usr/include/gudev-1.0 and /usr/share/gtk-doc/html/gudev

### Short Descriptions

`libgudev-1.0.so` | is a GObject-based wrapper library for libudev

- Prev

  libgsf-1.14.57

- Next

  libgusb-0.4.9

- Up
- Home